---
updatedAt: 2026-03-26T11:56:55.000Z
agentTools:
  projectIndex: https://docs.biot-med.com/llms.txt
---

# Get Generic Entity by ID

Get Generic Entity by ID



> ❗ **The V1 Generic Entity API is fully supported and recommended for all environments below version 2.3.40. If your environment is on version 2.3.40 or later, you can optionally migrate to V3. Contact Customer Success to enable V3 for your account.**


Path Parameters:

| Parameter   |Type   | Mandatory| Description          | Example   |
|-------------|-------|----------|----------------------|-----------|
|id|string|true|Generic Entity ID that needs to be fetched|3fa85f64-5717-4562-b3fc-2c963f66afa6|


This API requires **PROTECTED_API** permission(s).



# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "BioT Generic Entity Service",
    "description": "APIs document (version: 2.9.1)",
    "version": "2.9.1"
  },
  "servers": [
    {
      "url": "/generic-entity"
    }
  ],
  "paths": {
    "/v1/generic-entities/{id}": {
      "get": {
        "tags": [
          "Generic Entity API"
        ],
        "summary": "Get Generic Entity by ID",
        "description": "Get Generic Entity by ID\n\n\n\n> ❗ **The V1 Generic Entity API is fully supported and recommended for all environments below version 2.3.40. If your environment is on version 2.3.40 or later, you can optionally migrate to V3. Contact Customer Success to enable V3 for your account.**\n\n\nPath Parameters:\n\n| Parameter   |Type   | Mandatory| Description          | Example   |\n|-------------|-------|----------|----------------------|-----------|\n|id|string|true|Generic Entity ID that needs to be fetched|3fa85f64-5717-4562-b3fc-2c963f66afa6|\n\n\nThis API requires **PROTECTED_API** permission(s).\n\n",
        "operationId": "getGenericEntity",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Generic Entity ID that needs to be fetched",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          }
        ],
        "responses": {
          "200": {
            "description": "The below table describes the response parameters:\n\n| Parameter   |Type   |Description          | Example   |\n|-------------|-------|---------------------|-----------|\n|_name|string|||\n|_id|string|||\n|_ownerOrganization|object|||\n|_ownerOrganization.id|string|A UUID formatted string|3fa85f64-5717-4562-b3fc-2c963f66afa6|\n|_ownerOrganization.templateId|string|The id of a template that is configured in the settings service.|3fa85f64-5717-4562-b3fc-2c963f66afa6|\n|_ownerOrganization.parentEntityId|string|The id of the parent entity (appears only for child entities)||\n|_ownerOrganization.templateName|string|The name of the referenced entity template||\n|_ownerOrganization.template|object|||\n|_ownerOrganization.template.name|string|The name of the template||\n|_ownerOrganization.template.displayName|string|The display name of the template||\n|_ownerOrganization.template.parentTemplate|object|||\n|_ownerOrganization.template.parentTemplate.id|string|||\n|_ownerOrganization.template.parentTemplate.displayName|string|||\n|_ownerOrganization.template.parentTemplate.name|string|||\n|_ownerOrganization.template.id|string|The id of the template||\n|_ownerOrganization.organizationId|string|The id of the organization of the referenced entity.|3fa85f64-5717-4562-b3fc-2c963f66afa6|\n|_ownerOrganization.name|string|The caption of the referenced entity||\n|_template|object|||\n|_template.name|string|The name of the template||\n|_template.displayName|string|The display name of the template||\n|_template.parentTemplate|object|||\n|_template.parentTemplate.id|string|||\n|_template.parentTemplate.displayName|string|||\n|_template.parentTemplate.name|string|||\n|_template.id|string|The id of the template||\n|_referencers|object|An object that contains all the referencers of this entity. Each referencer is the RSAN and it's an object that contains the count of the referrers, and information of the referrer (in case count = 1)||\n|_creationTime|string|A UTC date-time in the ISO-8601 format|2007-12-20T10:15:30Z|\n|_lastModifiedTime|string|A UTC date-time in the ISO-8601 format|2007-12-20T10:15:30Z|\n|_caption|string|||\n",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GenericEntityResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Code : TOKEN_NOT_VALID, Details: []",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Code : ACCESS_DENIED, Details: []",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Code : GENERIC_ENTITY_NOT_FOUND, Details: [id]",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Code : INTERNAL_SERVER_ERROR, Details: []",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "504": {
            "description": "Code : GATEWAY_TIMEOUT, Details: []",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        },
        "deprecated": true,
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "example": "EXAMPLE_CODE_ENTITY_NOT_FOUND"
          },
          "message": {
            "type": "string",
            "example": "Entity with id [00000000-0000-0000-0000-000000000000] not found"
          },
          "serviceName": {
            "type": "string",
            "example": "Device Service"
          },
          "traceId": {
            "type": "string",
            "example": "a07a7e532f3541d8"
          },
          "environment": {
            "type": "string",
            "example": "develop"
          },
          "details": {
            "type": "object",
            "additionalProperties": {}
          }
        }
      },
      "BasicEntityData": {
        "type": "object",
        "description": "If count is 1 - holds the information about the single referencer. Null when count > 1.",
        "properties": {
          "id": {
            "type": "string",
            "description": "The id of the entity"
          },
          "name": {
            "type": "string",
            "description": "The name of the entity"
          },
          "parentEntityId": {
            "type": "string",
            "description": "The id of the parent entity (appears only for child entities)"
          }
        },
        "required": [
          "id",
          "name"
        ]
      },
      "BasicReferencedEntityDataUUIDId": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "description": "A UUID formatted string",
            "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          },
          "templateId": {
            "type": "string",
            "format": "uuid",
            "deprecated": true,
            "description": "The id of a template that is configured in the settings service.",
            "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          },
          "parentEntityId": {
            "type": "string",
            "description": "The id of the parent entity (appears only for child entities)"
          },
          "templateName": {
            "type": "string",
            "deprecated": true,
            "description": "The name of the referenced entity template"
          },
          "template": {
            "$ref": "#/components/schemas/BasicTemplateData",
            "description": "The referenced entity template"
          },
          "organizationId": {
            "type": "string",
            "format": "uuid",
            "description": "The id of the organization of the referenced entity.",
            "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
          },
          "name": {
            "type": "string",
            "description": "The caption of the referenced entity"
          }
        }
      },
      "BasicTemplateData": {
        "type": "object",
        "description": "Template of the referencer",
        "properties": {
          "name": {
            "type": "string",
            "description": "The name of the template"
          },
          "displayName": {
            "type": "string",
            "description": "The display name of the template"
          },
          "parentTemplate": {
            "$ref": "#/components/schemas/ParentTemplateResponse",
            "description": "Base information about the template parent"
          },
          "id": {
            "type": "string",
            "description": "The id of the template"
          }
        }
      },
      "GenericEntityResponse": {
        "type": "object",
        "properties": {
          "_name": {
            "type": "string",
            "maxLength": 32,
            "minLength": 1
          },
          "_id": {
            "type": "string",
            "format": "uuid"
          },
          "_ownerOrganization": {
            "$ref": "#/components/schemas/BasicReferencedEntityDataUUIDId"
          },
          "_template": {
            "$ref": "#/components/schemas/BasicTemplateData",
            "description": "Template information"
          },
          "_referencers": {
            "type": "object",
            "additionalProperties": {
              "$ref": "#/components/schemas/ReferencedSideAttributeInformation"
            },
            "description": "An object that contains all the referencers of this entity. Each referencer is the RSAN and it's an object that contains the count of the referrers, and information of the referrer (in case count = 1)"
          },
          "_creationTime": {
            "type": "string",
            "format": "date-time",
            "description": "A UTC date-time in the ISO-8601 format",
            "example": "2007-12-20T10:15:30Z"
          },
          "_lastModifiedTime": {
            "type": "string",
            "format": "date-time",
            "description": "A UTC date-time in the ISO-8601 format",
            "example": "2007-12-20T10:15:30Z"
          },
          "_caption": {
            "type": "string"
          }
        },
        "required": [
          "_caption",
          "_creationTime",
          "_id",
          "_lastModifiedTime",
          "_name",
          "_ownerOrganization"
        ]
      },
      "ParentTemplateResponse": {
        "type": "object",
        "description": "Base information about the template parent",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "displayName": {
            "type": "string"
          },
          "name": {
            "type": "string"
          }
        }
      },
      "ReferencedSideAttributeInformation": {
        "type": "object",
        "description": "Information about referencers from a specific template and attribute",
        "properties": {
          "name": {
            "type": "string",
            "description": "The reference side attribute name from the attribute reference configuration. Can be null when there are multiple referencers."
          },
          "displayName": {
            "type": "string",
            "description": "The reference side attribute display name from the attribute reference configuration. Can be null when there are multiple referencers."
          },
          "count": {
            "type": "integer",
            "format": "int64",
            "description": "Total count of all the referencers from this specific template and attribute"
          },
          "attributeId": {
            "type": "string",
            "format": "uuid",
            "description": "Attribute ID of the referencer"
          },
          "templateId": {
            "type": "string",
            "format": "uuid",
            "deprecated": true,
            "description": "Template ID of the referencer"
          },
          "template": {
            "$ref": "#/components/schemas/BasicTemplateData",
            "description": "Template of the referencer"
          },
          "referrer": {
            "$ref": "#/components/schemas/BasicEntityData",
            "description": "If count is 1 - holds the information about the single referencer. Null when count > 1."
          }
        },
        "required": [
          "attributeId",
          "count",
          "template",
          "templateId"
        ]
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  }
}
```